package com.wdkl.ncs.janus.rtc.observer;

import org.webrtc.IceCandidate;
import org.webrtc.MediaStream;

public interface CreatePeerConnectionCallback {
    void onIceGatheringComplete();

    void onIceCandidate(IceCandidate candidate);

    void onIceCandidatesRemoved(IceCandidate[] candidates);

    void onAddStream(MediaStream stream);

    void onRemoveStream(MediaStream stream);

    void onIceConnected();
    void onIceDisconnected();
    void onIceConnectFail();
}
